#ifndef TMUT_TNY_GTK_MSG_MSG_VIEW_H
#define TMUT_TNY_GTK_MSG_MSG_VIEW_H

/* TMut
 * Copyright (C) 2006-2007 Philip Van Hoof <pvanhoof@gnome.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with self library; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#include <gtk/gtk.h>
#include <glib-object.h>
#include <tny-shared.h>
#include <tny-gtk-msg-view.h>



G_BEGIN_DECLS

#define TMUT_TYPE_TNY_GTK_MSG_VIEW             (tmut_tny_gtk_msg_view_get_type ())
#define TMUT_TNY_GTK_MSG_VIEW(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj), TMUT_TYPE_TNY_GTK_MSG_VIEW, TMutTnyGtkMsgView))
#define TMUT_TNY_GTK_MSG_VIEW_CLASS(vtable)    (G_TYPE_CHECK_CLASS_CAST ((vtable), TMUT_TYPE_TNY_GTK_MSG_VIEW, TMutTnyGtkMsgViewClass))
#define TMUT_IS_TNY_GTK_MSG_VIEW(obj)          (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TMUT_TYPE_TNY_GTK_MSG_VIEW))
#define TMUT_IS_TNY_GTK_MSG_VIEW_CLASS(vtable) (G_TYPE_CHECK_CLASS_TYPE ((vtable), TMUT_TYPE_TNY_GTK_MSG_VIEW))
#define TMUT_TNY_GTK_MSG_VIEW_GET_CLASS(inst)  (G_TYPE_INSTANCE_GET_CLASS ((inst), TMUT_TYPE_TNY_GTK_MSG_VIEW, TMutTnyGtkMsgViewClass))

typedef struct _TMutTnyGtkMsgView TMutTnyGtkMsgView;
typedef struct _TMutTnyGtkMsgViewClass TMutTnyGtkMsgViewClass;

struct _TMutTnyGtkMsgView
{
	TnyGtkMsgView parent;
};

struct _TMutTnyGtkMsgViewClass
{
	TnyGtkMsgViewClass parent_class;
};

GType tmut_tny_gtk_msg_view_get_type (void);
TnyMsgView* tmut_tny_gtk_msg_view_new (void);


G_END_DECLS

#endif
